import React from 'react'
import ReactDOM from 'react-dom'
import { Button, DateRangePicker, Mobile, TabletDesktop } from 'lib';

class App extends React.Component {
  state = {
		from: undefined,
		to: undefined,
	}

	dayChangeHandler = (selectedDates) => {
		this.setState({ from: selectedDates.from, to: selectedDates.to });
  }
  
  
  render() {
    const { from, to } = this.state;

    return (
      <React.Fragment>
        <section>
          <h3>Buttons</h3>
          <Button>Standard</Button>
          <Button action>Action</Button>
        </section>

        <section>
					<DateRangePicker from={from} to={to} onDayChanged={this.dayChangeHandler} />
				</section>

        <section>
          <h3>Media Query</h3>
          <Mobile>Mobile content</Mobile>
          <TabletDesktop>Tablet & Desktop content</TabletDesktop>
        </section>
      </React.Fragment>
    )
  }
}

ReactDOM.render(<App />, document.getElementById('root'));
