import styled from 'styled-components';

const datePickerPrefixClass = 'DayPicker';

const StyledDateRangePicker = styled.div`
    .wj-rc-datepicker {
		position: relative;
		background: '#DFDFDF';
		max-width: 500px;
		width: 100%;

		.wj-alt-cross {
			position: absolute;
			top: 50%;
			right: 6px;
			transform: translateY(-50%);
			color: '#A8A8A8';
			cursor: pointer;
		}

		.${datePickerPrefixClass} {
			display: block;
        	width: 100%;

			&Input-OverlayWrapper {
				position: absolute;
				left: 0;
				width: 100%;
				max-width: 500px;
				z-index: 99999;
				box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.7);
			}

			&-wrapper {
				position: relative;
				user-select: none;
				outline: none;
			}

			&-Months {
				display: flex;
				flex-wrap: wrap;
				justify-content: center;
			}

			&-Month {
				display: table;
				border-spacing: 0;
				border-collapse: collapse;
				user-select: none;
				width: 100%;
			}

			&-NavButton {
				font-family: 'WebjetIcons';
				font-size: 32px;
				color: '333333';
				position: absolute;
				top: -50px;
				left: 0;
				display: inline-block;
				width: 32px;
				height: 50px;
				line-height: 50px;
				cursor: pointer;

				&:hover {
					opacity: 0.8;
				}

				&:focus {
					outline: none;
				}
			}

			&-NavButton--prev:before {
				content: "\E00C";
			}

			&-NavButton--next {
				right: 0;
				left: auto;

				&:before {
					content: "\E00A";
				}
			}

			&-NavButton--interactionDisabled {
				display: none;
			}

			&-Caption {
				display: none;
			}

			&-Weekdays {
				display: table-header-group;
			}

			&-WeekdaysRow {
				display: table-row;
				background: #F5F5F5;
			}

			&-Weekday {
				display: table-cell;
				padding: 5px;
				text-align: center;
				font-size: 12px;
				color: #999999;
			}

			&-Weekday abbr[title] {
				border-bottom: none;
				text-decoration: none;
			}

			&-Body {
				display: table-row-group;
				background: #fff;
			}

			&-Week {
				display: table-row;
			}

			&-Day {
				display: table-cell;
				width: 14.28%;
				padding: 12px 0;
				vertical-align: middle;
				text-align: center;
				cursor: pointer;
				font-size: 14px;
				font-weight: 500;
				color: '#333333';
				border-bottom: 1px solid #DFDFDF;

				&:hover {
					background-color: rgba(255,140,0,0.8);
					color: #fff;
				}

				&:focus {
					outline: none;
				}
			}

			&-WeekNumber {
				display: table-cell;
				padding: 0.5em;
				min-width: 1em;
				border-right: 1px solid #EAECEC;
				color: #8B9898;
				vertical-align: middle;
				text-align: right;
				font-size: 0.75em;
				cursor: pointer;
			}

			&--interactionDisabled .DayPicker-Day {
				cursor: default;
			}

			&-Footer {
				padding-top: 0.5em;
			}

			&-TodayButton {
				border: none;
				background-color: transparent;
				background-image: none;
				box-shadow: none;
				color: #4A90E2;
				font-size: 0.875em;
				cursor: pointer;
			}

			/* Day Modifiers */
			&-Day--today {
				color: #FF8C00;
				font-weight: 600;
			}

			&-Day--selected {
				background-color: rgba(255,140,0,0.5);
				color: #000;
				font-weight: 600;
			}

			&-Day--start, &-Day--end {
				background-color: #FF8C00;
				color: #fff;
			}

			&-Day--outside {
				color: #DFDFDF;
				cursor: pointer;

				&:hover {
					background-color: rgba(255,140,0,0.2);
				}

				&.DayPicker-Day--selected {
					background-color: rgba(255,140,0,0.1);
				}
			}
			
			&-Day--disabled, &-Day--disabled:hover {
				background-color: #fff;
				color: #DFDFDF;
				cursor: default;
			}
		}

		.header {
			background: #DFDFDF;
			text-align: center;
			height: 50px;

			.wj-rc-select {
				width: auto;
				display: inline-block;
				padding-top: 13px;
				box-shadow: none;
			}

			.rc-select__control {
				padding: 3px;
				min-height: 0;
				justify-content: flex-start;

				&:hover {
					background: none;
				}
			}

			.rc-select__single-value {
				position: static;
				overflow: visible;
				margin: 0;
				transform: none;
				font-weight: 500;
				font-size: 16px;
				color: #333333;
			}

			.rc-select__value-container--has-value {
				padding: 0 3px 0 0;
				flex: 1 1 auto;
			}

			.rc-select__dropdown-indicator {
				padding: 0;
				width: auto;

				&:before {
					position: static;
				}

				svg {
					display: none;
				}
			}

			.rc-select__menu {
				min-width: 180px;
				width: auto;
			}

			.rc-select__menu-list {
				max-height: 100%;
			}

			.rc-select__option {
				text-align: left;
			}
		}
	}	
    
`;


export default StyledDateRangePicker;
