import React from 'react';
import ReactMedia from 'react-media';

const MediaQuery = ({ query, wrappedComponent }) => (
    <ReactMedia query={query}>
        {
            matches => matches && wrappedComponent
        }
    </ReactMedia>
);

const Mobile = ({ children }) => (
    <MediaQuery query="(max-width: 767px)" wrappedComponent={children} />
);

const MobileTablet = ({ children }) => (
    <MediaQuery query="(max-width: 991px)" wrappedComponent={children} />
);

const Tablet = ({ children }) => (
    <MediaQuery query="(min-width: 768px) and (max-width: 991px)" wrappedComponent={children} />
);

const TabletDesktop = ({ children }) => (
    <MediaQuery query="(min-width: 768px)" wrappedComponent={children} />
);

const Desktop = ({ children }) => (
    <MediaQuery query="(min-width: 992px)" wrappedComponent={children} />
);

export { Mobile, MobileTablet, Tablet, TabletDesktop, Desktop };
